const path = require('path');

export default {
  entry: 'src/index.js',
  extraBabelPlugins: [
    ['import', { libraryName: 'antd', libraryDirectory: 'es', style: true }],
  ],
  env: {
    development: {
      extraBabelPlugins: ['dva-hmr'],
    },
  },
  alias: {
    components: path.resolve(__dirname, 'src/components/'),
  },
  ignoreMomentLocale: true,
  theme: './src/theme.js',
  html: {
    template: './src/index.ejs',
  },
  //disableDynamicImport: true,
  publicPath: '/',
  externals: {
    "BMapLib": "BMapLib",
  },
  hash: true,
  proxy: {
     '/': {
       target: "http://192.168.10.244:8082",
       //target: "http://47.96.68.71:8082/",
       changeOrigin: true,
       pathRewrite: {'^/': ''}
    }
  },
};
