import React, {Component} from 'react';
import styles from './index.less';
import {
  Button,
} from 'antd';

let overlaysIn = [];
let overlaysOut = [];
export default class Address extends React.Component {
  constructor() {
    super();
  }

  state = {
    pointsIn: [],
    pointsOut: [],
    btn: false,
    change: false,
    marker: null
  };

  handelRenderMap = (place, prevMarker) => {
    console.log(place)
    const myGeo = new BMap.Geocoder();
    myGeo.getPoint(place && place[0] + place[1] + place[2] || '四川成都市', function (point) {
      // if (prevMarker) {
      //   map.centerAndZoom(new BMap.Point(prevMarker.lng, prevMarker.lat), 13); // 初始化地图,设置中心点坐标和地图级别
      //   map.setCurrentCity(place && place[1]); // 设置地图显示的城市 此项是必须设置的
      // } else
      console.log('point');
      console.log(point);
      if (point) {
        map.centerAndZoom(new BMap.Point(point.lng, point.lat), 13); // 初始化地图,设置中心点坐标和地图级别
        map.setCurrentCity(place && place[1]); // 设置地图显示的城市 此项是必须设置的
      }
      console.log('prevMarker');
      console.log(prevMarker);
      if (prevMarker){
        map.centerAndZoom(new BMap.Point(prevMarker.lng, prevMarker.lat), 13); // 初始化地图,设置中心点坐标和地图级别
        map.setCurrentCity(place && place[1]); // 设置地图显示的城市 此项是必须设置的
      }
    }, place && place[1]);
    const styleOptionsIn = {
      strokeColor: "green",    //边线颜色。
      fillColor: "green",      //填充颜色。当参数为空时，圆形将没有填充效果。
      strokeWeight: 3,       //边线的宽度，以像素为单位。
      strokeOpacity: 0.8,    //边线透明度，取值范围0 - 1。
      fillOpacity: 0.6,      //填充的透明度，取值范围0 - 1。
      strokeStyle: 'solid' //边线的样式，solid或dashed。
    };

    const styleOptionsOut = {
      ...styleOptionsIn,
      strokeColor: "red",    //边线颜色。
      fillColor: "red",      //填充颜色。当参数为空时，圆形将没有填充效果。
    };

    //实例化鼠标绘制工具
    const drawingManagerIn = new BMapLib.DrawingManager(map, {
      isOpen: false, //是否开启绘制模式
      //enableDrawingTool: true, //是否显示工具栏
      drawingToolOptions: {
        anchor: BMAP_ANCHOR_TOP_RIGHT, //位置
        offset: new BMap.Size(5, 5), //偏离值
      },
      polygonOptions: styleOptionsIn, //多边形的样式
    });
    const drawingManagerOut = new BMapLib.DrawingManager(map, {
      isOpen: false, //是否开启绘制模式
      //enableDrawingTool: true, //是否显示工具栏
      drawingToolOptions: {
        anchor: BMAP_ANCHOR_TOP_RIGHT, //位置
        offset: new BMap.Size(5, 5), //偏离值
      },
      polygonOptions: styleOptionsOut, //多边形的样式
    });
    window.drawingManagerIn = drawingManagerIn || {};
    window.drawingManagerOut = drawingManagerOut || {};

    const overlaycompleteIn = (e) => {
      overlaysIn.push(e.overlay);
    };
    const overlaycompleteOut = (e) => {
      overlaysOut.push(e.overlay);
    };
    //添加鼠标绘制工具监听事件，用于获取绘制结果
    drawingManagerIn.addEventListener('overlaycomplete', overlaycompleteIn);
    drawingManagerOut.addEventListener('overlaycomplete', overlaycompleteOut);

    const prevPointIn = this.props.prevPointIn || null;
    const prevPointOut = this.props.prevPointOut || null;

    // if (prevPointIn) {
    //   this.setState({
    //     btn: true
    //   })
    // }

    function showPolygon(points, type) {
      points = JSON.parse(points);
      let polygonPoint = [];
      polygonPoint = [];
      for (let i = 0; i < points.length; i++) {
        polygonPoint.push(new BMap.Point(points[i]['lng'], points[i]['lat']));
      }
      if (type === 'in') {
        for (let i = 0; i < overlaysIn.length; i++) {
          map.removeOverlay(overlaysIn[i]);
        }
        overlaysIn.length = 0;
        let polygon = new BMap.Polygon(polygonPoint, styleOptionsIn);  //创建多边形
        overlaysIn.push(polygon); //是否把该图像加入到编辑和删除行列
        map.addOverlay(polygon);   //增加多边形
      } else {
        for (let i = 0; i < overlaysOut.length; i++) {
          map.removeOverlay(overlaysOut[i]);
        }
        overlaysOut.length = 0;
        let polygon = new BMap.Polygon(polygonPoint, styleOptionsOut);  //创建多边形
        overlaysOut.push(polygon); //是否把该图像加入到编辑和删除行列
        map.addOverlay(polygon);   //增加多边形
      }

    }

    if (prevPointIn) {
      showPolygon(prevPointIn, 'in');
    }
    if (prevPointOut) {
      showPolygon(prevPointOut, 'out');
    }
    if (prevMarker) {
      map.addOverlay(new BMap.Marker(prevMarker))
    }
  };

  componentWillReceiveProps() {
    const {place, change, prevMarker} = this.props;
    this.setState({
      change
    });
    console.log('=========');
    console.log(prevMarker);
    this.handelRenderMap(place, prevMarker);
  }

  componentDidMount() {
    const map = new BMap.Map("map", {enableMapClick: false}); // 创建Map实例
    window.map = map;
    const myGeo = new BMap.Geocoder();
    const {btn, place, prevMarker} = this.props;
    this.setState({
      btn
    });
    if (place) {
      this.handelRenderMap(place, prevMarker);
    }
    map.enableScrollWheelZoom(true); //开启鼠标滚轮缩放
    const that = this;
    map.addEventListener("rightclick", function (e) {
      // if (that.props.handlePointAt) {
      // that.props.handlePointAt({
      //   lng: e.point.lng,
      //   lat: e.point.lat
      // })
      // }

      if (that.props.handleMarker) {
        map.clearOverlays(); // 清除之前的marker
        const marker = new BMap.Marker(e.point);
        map.addOverlay(marker);                     // 将标注添加到地图中
        that.props.handleMarker(marker.getPosition());
      }
    })
  }

  handleDrawIn = () => {
    drawingManagerIn.open();
    drawingManagerIn.setDrawingMode(BMAP_DRAWING_POLYGON);
    for (var i = 0; i < overlaysIn.length; i++) {
      map.removeOverlay(overlaysIn[i]);
    }
    overlaysIn.length = 0;
  };

  handleDrawOut = () => {
    drawingManagerOut.open();
    drawingManagerOut.setDrawingMode(BMAP_DRAWING_POLYGON);
    for (var i = 0; i < overlaysOut.length; i++) {
      map.removeOverlay(overlaysOut[i]);
    }
    overlaysOut.length = 0;
  };

  handlePointsIn = () => {
    let pointsIn = [];
    pointsIn = [];
    for (let i = 0; i < overlaysIn.length; i++) {
      let overlayIn = overlaysIn[i].getPath();
      for (let j = 0; j < overlayIn.length; j++) {
        let grid = overlayIn[j];

        pointsIn.push({
          lng: grid.lng,
          lat: grid.lat,
        });
      }
    }
    this.props.handlePointIn(pointsIn);
  };

  handlePointsOut = () => {
    let pointsOut = [];
    pointsOut = [];
    for (let i = 0; i < overlaysOut.length; i++) {
      let overlayOut = overlaysOut[i].getPath();
      for (let j = 0; j < overlayOut.length; j++) {
        let grid = overlayOut[j];

        pointsOut.push({
          lng: grid.lng,
          lat: grid.lat,
        });
      }
    }
    this.props.handlePointOut(pointsOut);
  };

  handleEdit = () => {
    for (var i = 0; i < overlaysIn.length; i++) {
      overlaysIn[i].enableEditing();
    }
    for (var i = 0; i < overlaysOut.length; i++) {
      overlaysOut[i].enableEditing();
    }
  };

  sendMarker = (e) => {
    this.props.handleMarker(e)
  }

  render() {
    const {change, btn} = this.state;
    return (
      <div>
        <div id="map" style={{height: 400, marginBottom: 20}}></div>
        {btn ?
          <div className={styles.btnWrap}>
            <Button
              disabled={change}
              type="button"
              onClick={this.handleDrawIn}
            >
              选择进入聚点范围
            </Button>
            <Button
              disabled={change}
              type="button"
              onClick={this.handleDrawOut}
            >
              选择离开聚点范围
            </Button>
            <Button
              disabled={change}
              type="button"
              onClick={this.handleEdit}
            >
              编辑已有多变形
            </Button>
            <Button
              disabled={change}
              type="button"
              onClick={this.handlePointsIn}
            >
              保存进入范围
            </Button>
            <Button
              disabled={change}
              type="button"
              onClick={this.handlePointsOut}
            >
              保存离开范围
            </Button>

          </div>
          : ''}
      </div>
    )
  }
}
