import { queryContactList } from '../services/api';
import { message } from 'antd';
export default {
  namespace: 'contact',

  state: {
    list: [],
    total: 0,
    pageSize: 30,
    page: 1,
  },

  effects: {
    *fetch({ payload }, { call, put }) {
      const response = yield call(queryContactList, payload);
      if(response && response.c === 200){
        const { data, recordsTotal, pageSize, pageNo } = response.d;
        yield put({
          type: 'queryList',
          payload: {
            list: Array.isArray(data) ? data : [],
            total: recordsTotal,
            pageSize,
            page: pageNo,
          },
        });
      }else{
        message.error("数据加载失败，请刷新重新加载")
      }
    },
  },

  reducers: {
    queryList(state, action) {
      const { list, total, pageSize, page } = action.payload;
      return {
        ...state,
        list,
        total,
        pageSize,
        page,
      };
    },
  },
};
