import { routerRedux } from 'dva/router';
import { fakeAccountLogin, queryAllAuthorityList } from '../services/api';
import { setAuthority } from '../utils/authority';
import { reloadAuthorized } from '../utils/Authorized';
import { Base64 } from 'js-base64';
import { message } from 'antd';
import { setLocalStorage, formatter } from '../utils/utils';
export default {
  namespace: 'login',

  state: {
    m: '',
  },

  effects: {
    *login({ payload }, { call, put }) {
      const response = yield call(fakeAccountLogin, payload);
      if (response && response.c === 200) {
        // console.log('login返回体')
        if(response.d.auth){
          let list = formatter(response.d.auth);
          setLocalStorage("authority", JSON.stringify(list));
        }
          setLocalStorage("authorization", `Bearer ${response.d.Authorization}`);
        // response.d.auth.unshift({
        //   children: null,
        //   description: "test",
        //   icon: "book",
        //   id: 13239,
        //   name: "test",
        //   number: 1,
        //   prantId: null,
        //   type: null,
        //   typeName: "PAGE",
        //   url: "/version"
        // })
          setLocalStorage("authorityMenu", JSON.stringify(response.d.auth));
          reloadAuthorized();
          // yield put(routerRedux.push('/'));
          yield put(routerRedux.push('/'));
      }else{
        yield put({
        type: 'changeLoginStatus',
        payload: {
          m: response && response.m || '',
          authority: '',
        },
      });
      }
    },
    *logout(_, { put, select }) {
      try {
        // get location pathname
        const urlParams = new URL(window.location.href);
        const pathname = yield select(state => state.routing.location.pathname);
        const search = yield select(state => state.routing.location.search || '');
        // add the parameters in the url
        urlParams.searchParams.set('redirect', pathname + search);
        window.history.replaceState(null, 'login', urlParams.href);
      } finally {
        yield put({
          type: 'changeLoginStatus',
          payload: {
            authority: '',
          },
        });
        reloadAuthorized();
        yield put(routerRedux.push('/user/login'));
      }
    },
  },

  reducers: {
    changeLoginStatus(state, { payload }) {
      setAuthority(payload.authority);
      return {
        ...state,
        m: payload.m,
      };
    },
  },
};
