import {
  // queryPayList,
  queryOrderRecord,
} from '../services/api';
import { message } from 'antd';
import { routerRedux } from 'dva/router';

export default {
  namespace: 'pay',

  state: {
    list: [],
    page: 1,
    pageSize: 30,
    total: 0,
  },

  effects: {
    *fetch({ payload }, { call, put }) {
      const response = yield call(queryOrderRecord, payload);
      if(response && response.c ===200){
        const { data, pageNo, pageSize, recordsTotal } = response.d;
        yield put({
          type: 'queryList',
          payload: {
            page: pageNo,
            pageSize,
            total: recordsTotal,
            list: Array.isArray(data) ? data : [],
          }
        });
      }else{
        message.error("加载消费列表失败，请刷新重新加载");
      }
    },
    *redirectDetail({ payload }, { call, put }) {
      yield put(routerRedux.push(`/comsumerProfile${payload.id}`));
    },
  },
  reducers: {
    queryList(state, action) {
      const { list, page, pageSize, total } = action.payload;
      return {
        ...state,
        list,
        total,
        page,
        pageSize,
      };
    },
  },
};
