import { routerRedux } from 'dva/router';
import { fakePersonalSubmit, queryPassword } from '../services/user';
import { setAuthority } from '../utils/authority';
import { message, } from 'antd';

export default {
  namespace: 'personal',

  state: {
  },

  effects: {
    *submit({ payload }, { call, put }) {
      const response = yield call(fakePersonalSubmit, payload);
      if (response && response.c === 200) {
        yield put({
          type: 'saveUser',
          payload: {
            name: payload.name,
          }
        })
        message.success("提交成功");
      }else{
        message.error("提交失败，请重新再试");
      }
    },
    *editPassword({ payload }, { call }) {
      const response = yield call(queryPassword, payload);
      if (response && response.c === 200) {
        message.success("密码修改成功");
      }else{
        message.error("密码修改失败，请重新再试");
      }
    },
  },

  reducers: {
    changeLoginStatus(state, { payload }) {
      setAuthority(payload.currentAuthority);
      return {
        ...state,
        status: payload.status,
        type: payload.type,
      };
    },
    saveUser(state, { payload }) {
      return {
        ...state,
        name: payload.name,
      };
    },
  },
};
