import { queryReportList } from '../services/api';
import { message } from 'antd';
export default {
  namespace: 'report',

  state: {
    list: [],
    total: 0,
    pageSize: 30,
    page: 1,
  },

  effects: {
    *fetch({ payload }, { call, put }) {
      const response = yield call(queryReportList, payload);
      if(response && response.c === 200){
        yield put({
          type: 'queryList',
          payload: {
            list: Array.isArray(response.d.data) ? response.d.data : [],
            total: response.d.recordsTotal,
            pageSize: response.d.pageSize,
            page: response.d.pageNo,
          },
        });
      }else{
        message.error("数据加载失败，请刷新重新加载")
      }
    },
  },

  reducers: {
    queryList(state, action) {
      return {
        ...state,
        list: action.payload.list,
        total: action.payload.total,
        pageSize: action.payload.pageSize,
        page: action.payload.page,
      };
    },
  },
};
