import {
  passUserList,
  queryPhotoList,
  queryPhotoRefuse,
  passPhotoList,
  queryNickList,
  queryUserPass,
  queryUserRefuse,
  queryWaitList
} from '../services/api';
import {message,} from 'antd';
import {deleteItemArr,} from '../utils/utils';
import {routerRedux} from 'dva/router';

export default {
  namespace: 'review',

  state: {
    list: [],
    visible: false,
    user: null,
    total: 0,
    pageSize: 30,
    photoList: [],
    current: 1,
    photoTotal: 0,
  },

  effects: {
    * fetch({payload}, {call, put}) {
      const response = yield call(queryPhotoList, payload);
      if (response && response.c === 200) {
        yield put({
          type: 'queryList',
          payload: Array.isArray(response.d) ? response.d : [],
        });
      } else {
        message.error("加载相册失败，请刷新重新加载");
      }
    },
    * fetchNick({payload}, {call, put}) {
      const response = yield call(queryNickList, payload);
      if (response && response.c === 200) {
        yield put({
          type: 'queryList',
          payload: Array.isArray(response.d) ? response.d : [],
        });
      } else {
        message.error("加载相册失败，请刷新重新加载");
      }
    },
    * fetchWaitList({payload}, {call, put}) {
      const response = yield call(queryWaitList, payload)
      if (response && response.c === 200) {
        yield put({
          type: 'queryList',
          payload: Array.isArray(response.d) ? response.d : [],
        });
      } else {
        message.error("加载相册失败，请刷新重新加载");
      }
    },
    * fetchMore({payload}, {call, put}) {
      const {ids, size} = payload;
      const responsePass = yield call(passPhotoList, {
        ids,
      });
      if (responsePass && responsePass.c === 200) {
        message.success('批量通过成功');
        yield put({
          type: 'queryList',
          payload: Array.isArray(responsePass.d) ? responsePass.d : [],
        });
      } else if (responsePass && responsePass.c !== 200) {
        message.error('批量通过失败，请重新再试');
      } else {
        message.error('当前没有更多数据，请稍后再试');
      }
    },
    * fetchMoreUser({payload}, {call, put}) {
      const {ids, size, status} = payload;
      const responsePass = yield call(queryNickList, {
        ids,
        size,
        status,
      });
      if (responsePass && responsePass.c === 200 && responsePass.d.length) {
        message.success('批量通过成功');
        yield put({
          type: 'queryList',
          payload: Array.isArray(responsePass.d) ? responsePass.d : [],
        });
      }
      if (responsePass && responsePass.c !== 200) {
        message.error('批量通过失败，请重新再试');
      }
      if (responsePass && responsePass.c === 200 && responsePass.d.length === 0) {
        yield put({
          type: 'queryList',
          payload: [],
        });
        message.error('当前没有更多数据，请稍后再试');
        // message.error('当前没有更多数据，请稍后再试');
      }
    },
    * refuse({payload}, {call, put, select}) {
      const response = yield call(queryPhotoRefuse, {id: payload.id});
      if (response && response.c === 200) {
        message.success('删除成功');
        const list = yield select(state => state.review.list);
        list.map((item,index) => {
          if (item.id === payload.id) {
            list.splice(index,1);
          }
        });
        yield put({
          type: 'queryList',
          payload: list,
        });
      } else {
        message.error('删除失败，请重新再试');
      }
    },
    * delete({payload}, {call, put, select}) {
      const response = yield call(queryUserRefuse, {id: payload.id});
      if (response && response.c === 200) {
        message.success('操作成功');
        const list = yield select(state => state.review.list);
        list.map((item,index) => {
          if (item.id === payload.id) {
            list.splice(index,1);
            // item.disabled = true;
          }
        });
        yield put({
          type: 'queryList',
          payload: list,
        });
      } else {
        message.error('审核失败，请重新再试');
      }
    },
    * pass({payload}, {call, put}) {
      const response = yield call(queryUserPass, {id: payload.id});
      if (response && response.c === 200) {
        message.success('通过成功');
      } else {
        message.error('通过失败，请重新再试');
      }
    },
  },

  reducers: {
    queryList(state, action) {
      return {
        ...state,
        list: action.payload,
      };
    },
  },
};
