import {
  queryGiftList,
  queryGift,
  queryGiftEdit,
  deleteGift,
  queryGiftAdd,
  queryRecoveryGift,
  queryGiftSale,
} from '../services/api';
import {message} from 'antd';
import {routerRedux} from 'dva/router';

export default {
  namespace: 'sale',

  state: {
    type: 'FINISH',
    page: 1,
    pageSize: 30,
    total:0,
    list:[]
  },

  effects: {
    * fetch({payload}, {call, put}) {
      const response = yield call(queryGiftSale, payload);
      if (response && response.c === 200) {
        const { data, pageSize, recordsTotal, pageNo} = response.d;
        yield put({
          type: 'queryList',
          payload: {
            list: Array.isArray(data) ? data : [],
            pageSize,
            total: recordsTotal,
            page: pageNo,
          },
        });
      } else {
        message.error("数据加载失败，请刷新重新加载");
      }
    }
  },

  reducers: {
    queryList(state,action){
      const {list, total, page} = action.payload;
      return {
        ...state,
        list,
        total,
        page
      }
    },
    //核销
    queryFinishList(state, action) {
      console.log(action);
      console.log(state);
      const {list, total, page} = action.payload;
      return {
        ...state,
        finishList: list,
        finishTotal: total,
        page
      }
    },
    //待自提
    queryExtractList(state, action) {
      const {list, total, page} = action.payload;
      return {
        ...state,
        extractList: list,
        total,
        page
      }
    },
    //待接单
    queryReceivList(state, action) {
      const {list, total, page} = action.payload;
      return {
        ...state,
        extractList: list,
        total,
        page
      }
    },
    queryDeliveryList(state, action) {
      const {list, total, page} = action.payload;
      return {
        ...state,
        deliveryList: list,
        total,
        page
      }
    }
  }
}
