import {
  querySuperSouvenirList,
  addSuperSouvenir,
  querySuperSouvenir,
  updateSuperSouvenir,
  deleteSuperSouvenir
} from "../services/api";
import { message } from 'antd';
import { routerRedux } from 'dva/router';
export default {
  namespace:'superLike',
  state: {
    list: [],
    superLike: null,
    pageSize: 30,
    page: 1,
    total: 0
  },
  effects:{
    *fetch({ payload }, { call, put }) {
      const response = yield call(querySuperSouvenirList, payload);
      if(response && response.c === 200){
        yield put({
          type: 'queryList',
          payload: {
            list: Array.isArray(response.d.data) ? response.d.data : [],
            total: response.d.recordsTotal,
            page: response.d.page
          }
        })
      }else{
        message.error("数据加载失败，请刷新重新加载");
      }
    },
    *add({ payload }, { call, put }) {
      yield put(
        routerRedux.push(`/superLike/superLikeAdd`));
    },
    *addSubmit({ payload }, { call, put }) {
      const response = yield call(addSuperSouvenir, payload);
      if(response && response.c === 200) {
        message.success('创建抱礼成功');
        yield put(routerRedux.push(`/superLike/list`));
      }else{
        message.error(response.m);
      }
    },
    *redirectDetail({ payload }, { call, put }) {
      yield put(
        routerRedux.push(`/superLike/superLikeEdit?id=${payload.id}`));
    },
    *fetchDetail({ payload }, { call, put }) {
      const response = yield call(querySuperSouvenir, payload);
      if(response && response.c === 200){
        yield put({
          type: 'saveDetail',
          payload: response.d,
        });
      }else {
        message.error('数据加载出错，请刷新重新加载')
      }
    },
    *editSubmit({ payload }, { call, put }) {
      const response = yield call(updateSuperSouvenir, payload);
      if(response && response.c === 200){
        yield put({
          type: 'queryList',
          payload: {
            ...payload
          }
        });
        message.success('修改成功');
        yield put(routerRedux.push(`/superLike/list`));
      } else {
        message.error(response.m);
      }
    },
    *delete({ payload }, { call, put }) {
      const response = yield call(deleteSuperSouvenir, {
        ids: payload.ids,
      });
      if (response &&　response.c === 200) {
        message.success('操作成功');
        yield put({
          type: 'fetch',
          payload: {
            // columns:payload.columns,
            page: 1,
            pageSize: 30
          }
        })
      } else {
        message.error('操作失败，请重新再试');
      }
    },
  },
  reducers:{
    queryList(state, action) {
      return {
        ...state,
        list: action.payload.list,
        total: action.payload.total,
        page: action.payload.page
      }
    },
    saveDetail(state, action) {
      return {
        ...state,
        superLike: action.payload
      }
    }
  }
}
