import { query as queryUsers, queryCurrent } from '../services/user';
import { message } from 'antd';
export default {
  namespace: 'user',

  state: {
    list: [],
    currentUser: {},
  },

  effects: {
    *fetch(_, { call, put }) {
      const response = yield call(queryUsers);
      yield put({
        type: 'save',
        payload: response,
      });
    },
    *fetchCurrent(_, { call, put }) {
      // console.log(_);
      const response = yield call(queryCurrent);
      if(response && response.c === 200){
        yield put({
          type: 'saveCurrentUser',
          payload: response,
        });
      }else{
        message.error('加载当前用户失败，请刷新重新加载。')
      }
    },
  },

  reducers: {
    save(state, action) {
      return {
        ...state,
        list: action.payload,
      };
    },
    saveCurrentUser(state, action) {
      return {
        ...state,
        currentUser: action.payload.d,
      };
    },
  },
};
