import {
  queryVersionSubmit,
  queryVersionList,
  queryVersion,
} from '../services/api';
import { message } from 'antd';
export default {
  namespace: 'version',

  state: {
    list: [],
    total: 0,
    pageSize: 30,
    page: 1,
    version: {},
  },

  effects: {
    *fetch({ payload }, { call, put }) {
      const response = yield call(queryVersionList, payload);
      if(response && response.c === 200){
        const { data, recordsTotal, pageSize, pageNo } = response.d;
        yield put({
          type: 'queryList',
          payload: {
            list: Array.isArray(data) ? data : [],
            total: recordsTotal,
            pageSize: pageSize,
            page: pageNo,
          },
        });
      }else{
        message.error("数据加载失败，请刷新重新加载")
      }
    },
    *fetchVersion({ payload }, { call, put }) {
      const response = yield call(queryVersion, payload);
      if(response && response.c === 200){
        yield put({
          type: 'queryVersion',
          payload: response.d,
        });
      }else{
        message.error("数据加载失败，请刷新重新加载")
      }
    },
    *addSubmit({ payload }, { call, put }) {
      const response = yield call(queryVersionSubmit, {
        ...payload.value,
      });
      if(response && response.c === 200){
        message.success('版本信息提交成功');
        yield put({
          type: 'fetch',
          payload: {
            ...payload.pagination,
          },
        });
      } else {
        message.error('版本信息提交失败，请重新提交');
      }
    },
  },

  reducers: {
    queryList(state, action) {
      const { list, total, pageSize,page } = action.payload;
      return {
        ...state,
        list,
        total,
        pageSize,
        page,
      };
    },
    queryVersion(state, action) {
      return {
        ...state,
        version: action.payload,
      };
    },
  },
};
