import React, { Component, Fragment } from 'react';
import { connect } from 'dva';
import {
  Row,
  Col,
  Icon,
  Card,
  Tabs,
  Table,
  Radio,
  DatePicker,
  Tooltip,
  Menu,
  Dropdown,
} from 'antd';
import numeral from 'numeral';
import {
  ChartCard,
  yuan,
  MiniArea,
  MiniBar,
  MiniProgress,
  Field,
  Bar,
  Pie,
  TimelineChart,
} from 'components/Charts';
import NumberInfo from 'components/NumberInfo';
import { getTimeDistance } from '../../utils/utils';

import styles from './Analysis.less';

const { TabPane } = Tabs;
const { RangePicker } = DatePicker;
const Yuan = ({ children }) => (
  <span dangerouslySetInnerHTML={{ __html: yuan(children) }} /> /* eslint-disable-line react/no-danger */
);

@connect(({ chart, loading }) => ({
  chart,
  loading: loading.effects['chart/fetch'],
}))
export default class Analysis extends Component {
  state = {
    salesType: 'all',
    currentTabKey: '',
    rangePickerValue: getTimeDistance('year'),
  };

  componentDidMount() {
    // this.props.dispatch({
    //   type: 'chart/fetch',
    // });
  }

  componentWillUnmount() {
    // const { dispatch } = this.props;
    // dispatch({
    //   type: 'chart/clear',
    // });
  }

  handleChangeSalesType = e => {
    this.setState({
      salesType: e.target.value,
    });
  };

  handleTabChange = key => {
    this.setState({
      currentTabKey: key,
    });
  };

  handleRangePickerChange = rangePickerValue => {
    this.setState({
      rangePickerValue,
    });

    this.props.dispatch({
      type: 'chart/fetchSalesData',
    });
  };

  selectDate = type => {
    this.setState({
      rangePickerValue: getTimeDistance(type),
    });

    this.props.dispatch({
      type: 'chart/fetchSalesData',
    });
  };

  isActive(type) {
    const { rangePickerValue } = this.state;
    const value = getTimeDistance(type);
    if (!rangePickerValue[0] || !rangePickerValue[1]) {
      return;
    }
    if (
      rangePickerValue[0].isSame(value[0], 'day') &&
      rangePickerValue[1].isSame(value[1], 'day')
    ) {
      return styles.currentDate;
    }
  }

  render() {
    // const { rangePickerValue, salesType, currentTabKey } = this.state;
    // const { chart, loading } = this.props;
    // const {
    //   visitData,
    //   visitData2,
    //   salesData,
    //   searchData,
    //   offlineData,
    //   offlineChartData,
    //   salesTypeData,
    //   salesTypeDataOnline,
    //   salesTypeDataOffline,
    // } = chart;
    //
    // const salesPieData =
    //   salesType === 'all'
    //     ? salesTypeData
    //     : salesType === 'online' ? salesTypeDataOnline : salesTypeDataOffline;
    //
    // const salesExtra = (
    //   <div className={styles.salesExtraWrap}>
    //     <div className={styles.salesExtra}>
    //       <a className={this.isActive('today')} onClick={() => this.selectDate('today')}>
    //         昨日
    //       </a>
    //       <a className={this.isActive('week')} onClick={() => this.selectDate('week')}>
    //         本周
    //       </a>
    //       <a className={this.isActive('month')} onClick={() => this.selectDate('month')}>
    //         本月
    //       </a>
    //       <a className={this.isActive('year')} onClick={() => this.selectDate('year')}>
    //         全年
    //       </a>
    //     </div>
    //     <RangePicker
    //       value={rangePickerValue}
    //       onChange={this.handleRangePickerChange}
    //       style={{ width: 256 }}
    //     />
    //   </div>
    // );
    //
    // const activeKey = currentTabKey || (offlineData[0] && offlineData[0].name);
    //
    // const CustomTab = ({ data, currentTabKey: currentKey }) => (
    //   <Row gutter={8} style={{ width: 138, margin: '8px 0' }}>
    //     <Col span={12}>
    //       <NumberInfo
    //         title={data.name}
    //         subTitle="转化率"
    //         gap={2}
    //         total={`${data.cvr * 100}%`}
    //         theme={currentKey !== data.name && 'light'}
    //       />
    //     </Col>
    //     <Col span={12} style={{ paddingTop: 36 }}>
    //       <Pie
    //         animate={false}
    //         color={currentKey !== data.name && '#BDE4FF'}
    //         inner={0.55}
    //         tooltip={false}
    //         margin={[0, 0, 0, 0]}
    //         percent={data.cvr * 100}
    //         height={64}
    //       />
    //     </Col>
    //   </Row>
    // );
    //
    // const topColResponsiveProps = {
    //   xs: 24,
    //   sm: 12,
    //   md: 12,
    //   lg: 12,
    //   xl: 6,
    //   style: { marginBottom: 24 },
    // };

    return (
      <Fragment>
        欢迎来到Seemore后台管理系统
      </Fragment>
    );
  }
}
