import React, { PureComponent } from 'react';
import moment from 'moment';
import { connect } from 'dva';
import {
  Card,
  Row,
  Col,
  Radio,
  Input,
  Button,
  Icon,
  Menu,
  message,
  Upload,
  Table,
} from 'antd';

import PageHeaderLayout from '../../layouts/PageHeaderLayout';
import { getLocalStorage } from '../../utils/utils';
import styles from './BasicList.less';

const Dragger = Upload.Dragger;
const RadioButton = Radio.Button;
const RadioGroup = Radio.Group;
const { Search } = Input;

@connect(({ question, loading }) => ({
  loading: loading.models.presetPharaese,
}))
export default class PresetPhraese extends PureComponent {


  handleExport() {
    console.log('点击了导出文件表格按钮');
  }

  render() {
    const authorization = getLocalStorage('authorization') || '222';
    const props = {
      multiple: false,
      action: '/api/presetPhraese/excel/import',
      //本地测试使用
      // action: 'http://192.168.10.111:8082/presetPhraese/excel/import',
      headers: {
        'authorization': authorization,
      },
      onChange(info) {
        const status = info.file.status;
        if (status !== 'uploading') {
          console.log('文件上传中');
        }
        if (status === 'done') {
          message.success(`${info.file.name} 文件上传成功.`);
        } else if (status === 'error') {
          message.error(`${info.file.name} 文件上传失败，请重新上传。`);
        }
      }
    };

    return (
      <PageHeaderLayout>
        <div className={styles.standardList}>
          <Card
            className={styles.listCard}
            bordered={false}
            title="预置短语管理，用EXCEL表格导入和导出预置短语"
            style={{ marginTop: 24 }}
            bodyStyle={{ padding: '30px 32px 160px' }}
          >
            {/*<div style={{marginBottom: '20px'}}>*/}
              {/*<Button icon="download" onClick={this.handleExport}>*/}
                {/*导出表格*/}
              {/*</Button>*/}
            {/*</div>*/}
            <Dragger {...props}>
              <p className="ant-upload-drag-icon">
                <Icon type="inbox" />
              </p>
              <p className="ant-upload-text">点击或者拖拽文件到此处上传</p>
            </Dragger>
          </Card>
        </div>
      </PageHeaderLayout>
    );
  }
}
