import React, {Component} from 'react';
import {connect} from 'dva';
import {parse} from 'qs';
import {
  Form,
  Input,
  Button,
  Row,
  Col,
  Checkbox,
  Card,
  Select,
  Upload,
  Icon,
  message,
  Cascader
} from 'antd';
import PageHeaderLayout from '../../layouts/PageHeaderLayout';
import styles from '../List/BasicList.less';
import {upYunAuthorization} from '../../utils/utils';
import {getCity} from "../../utils/getCity";
import Address from 'components/Map';

const FormItem = Form.Item;
const Option = Select.Option;
const CheckboxGroup = Checkbox.Group;
const {TextArea} = Input;
@connect(({loading, site}) => ({
  submitting: loading.effects['site/editSubmit'],
  loading: loading.effects['site/fetchProfile'],
  locking: loading.effects['site/lock'],
  site: site.site,
  gatheringList: site.gatheringList
}))
@Form.create()
export default class Site extends Component {
  state = {
    formValues: '',
    pic: '',
    logo: '',
    cityId: undefined,
    options: [
      {
        label: '用户自提',
        value: 'TAKE',
        disabled: false
      },
      {
        label: '场内派送',
        value: 'SEND',
        disabled: false
      },
      {
        label: '快递配送',
        value: 'EXPRESS',
        disabled: false
      },
      {
        label: '电子券码',
        value: 'ELECTRONIC_CODE',
        disabled: false
      }
    ],
    checkMethod: undefined,
    city: [],
    pointIn: undefined,
    pointOut: undefined,
    marker: undefined,
    provinceList: getCity(),
    gatheringId: undefined
  };

  componentDidMount() {
    const {dispatch} = this.props;
    dispatch({
      type: 'site/fetchDetail',
      payload: {
        id: parse(this.props.location.search.substr(1)).id,
      }
    });
    this.getGatherList()
  }

  getGatherList() {
    const {dispatch} = this.props;
    dispatch({
      type: 'site/fetchAllGatheringList',
      payload: {
        id: parse(this.props.location.search.substr(1)).id,
      }
    });
  }

  handleChange = (checkedValues) => {
    // console.log('checked = ', checkedValues);
  }

  handleSubmit = (e) => {
    e.preventDefault();
    this.props.form.validateFields(['name', 'introduce', 'affiche', 'seemoreMsg', 'email', 'userName'], (err, values) => {
      if (!err) {
        const {dispatch} = this.props;
        // const {pic, logo, cityId, method} = this.props.site;
        this.props.dispatch({
          type: 'site/editSubmit',
          payload: {
            ...values,
            gatheringId: this.state.gatheringId || this.props.site.gatheringId,
            id: parse(this.props.location.search.substr(1)).id,
            pic: this.state.pic ? this.state.pic : this.props.site && this.props.site.pic,
            logo: this.state.logo ? this.state.logo : this.props.site && this.props.site.logo,
            cityId: this.state.cityId ? this.state.cityId : this.props.site.cityId,
            method: this.state.checkMethod ? this.acTiveArrStringFun(this.state.checkMethod) : this.props.site.method ? this.props.site.method : null,
            latitude: this.state.marker && this.state.marker.lat ? this.state.marker.lat : this.props.site.latitude,
            longitude: this.state.marker && this.state.marker.lng ? this.state.marker.lng : this.props.site.longitude
          }
        })
      }
    })
  };

  handleLock = () => {
    this.props.dispatch({
      type: 'site/lock',
      payload: {
        id: parse(this.props.location.search.substr(1)).id,
      }
    })
  };
  //商户礼物发送方式
  onChange = (e) => {
    // console.log(e)
    let opt = this.state.options

    // if (e.includes('ELECTRONIC_CODE')) {
    //   opt[0].disabled = true;
    //   opt[1].disabled = true;
    //   opt[2].disabled = true;
    //   opt[3].disabled = false
    // } else if (e.includes('TAKE') || e.includes('SEND') || e.includes('EXPRESS')) {
    //   opt[0].disabled = false;
    //   opt[1].disabled = false;
    //   opt[2].disabled = false;
    //   opt[3].disabled = true
    // } else {
    //   opt.map(item => {
    //     item.disabled = false
    //   })
    // }
    this.setState({
      checkMethod: e
    });

    // let str = this.acTiveArrStringFun(e)
  };

  acTiveArrStringFun(obj) {
    const arr = [];
    if (obj != null && obj.length !== 0) {
      for (let i = 0; i < obj.length; i++) {
        arr.push(obj[i]);
      }
    }
    return arr.toString();
  }

  handleGift = () => {
    // window.open(window.location.origin + '#/accumulation/site/gift/list?id=' + parse(this.props.location.search.substr(1)).id);
    this.props.dispatch({
      type: 'site/redirectGift',
      payload: {
        id: parse(this.props.location.search.substr(1)).id
      }
    })
  };

  handleGiftSale = () => {
    this.props.dispatch({
      type: 'site/redirectGiftSale',
      payload: {
        id: parse(this.props.location.search.substr(1)).id,
      }
    })
  };

  cascaderFormat(cityId) {
    // console.log(cityId)
    // const list = getCity()
    // console.log(list)
    // let cityName = undefined
    // let pCode = undefined
    // let pName = undefined
    // list.map((province) => {
    //   province.children.map(city => {
    //     if (city.children.value === cityId) {
    //       pCode = city.code
    //       cityName = city.label
    //       console.log(cityName)
    //       return
    //     }
    //   })
    //   if (pCode === province.code) {
    //     console.log(province.label)
    //     pName = province.label
    //     return
    //   }
    // })
    // console.log(pName, cityName)
  }

  formatMethod(str) {
    let arr = str.split(',');
    // let opt = this.state.options;
    // if (arr.includes('ELECTRONIC_CODE')) {
    //   opt[0].disabled = true;
    //   opt[1].disabled = true;
    //   opt[2].disabled = true;
    //   opt[3].disabled = false
    //
    // } else if (arr.includes('TAKE') || arr.includes('SEND') || arr.includes('EXPRESS')) {
    //   opt[0].disabled = false;
    //   opt[1].disabled = false;
    //   opt[2].disabled = false;
    //   opt[3].disabled = true
    // } else {
    //   opt.map(item => {
    //     item.disabled = false
    //   })
    // }
    return arr
  }

  handlePointIn = (e) => {
    let point = JSON.stringify(e);
    this.setState({
      pointIn: point
    })
  };
  handlePointOut = (e) => {
    let point = JSON.stringify(e);
    this.setState({
      pointOut: point
    })
  };
  handleMarker = (e) => {
    this.setState({
      marker: e
    })
  };

  onPicChange(str, info) {
    const status = info.file.status;
    if (status === 'done') {
      message.success(`${info.file.name} 文件上传成功.`);
      if (str === 'pic') {
        this.setState({
          pic: 'http://image.seemore.club' + JSON.parse(event.currentTarget.response).url
        })
      } else {
        this.setState({
          logo: 'http://image.seemore.club' + JSON.parse(event.currentTarget.response).url
        })
      }
    } else if (status === 'error') {
      message.error(`${info.file.name} 文件上传失败，请重新上传。`)
    }
  };

  handleCityChange = (e) => {
    const {provinceList} = this.state;
    var city = [];
    provinceList.map(p => {
      if (e[0] === p.value) {
        city.push(p.label)
      }
      p.children.map(c => {
        if (e[1] === c.value) {
          city.push(c.label)
        }
      })
    })
    this.setState({
      city
    })
  };

  handleGatheringChange = (e) => {
    this.setState({
      gatheringId: e
    })
  }

  render() {
    const {submitting, loading, locking, site, gatheringList} = this.props;

    const marker = {
      lat: site && site.latitude || null,
      lng: site && site.longitude || null
    };

    // this.setState({
    //   marker: {
    //     lat: site && site.latitude || null,
    //     lng: site && site.longitude || null
    //   }
    // });

    const {getFieldDecorator} = this.props.form;

    const formItemLayout = {
      labelCol: {
        xs: {span: 24},
        sm: {span: 8},
      },
      wrapperCol: {
        xs: {span: 24},
        sm: {span: 16},
      },
    };
    const date = Date.parse(new Date());
    const uploadProps = {
      action: 'http://v0.api.upyun.com/image-seemore',
      listType: 'picture',
      data: {
        'authorization': upYunAuthorization("site", date).authorization,
        'policy': upYunAuthorization("site", date).policy,
      },
      name: 'file',
      headers: {
        'X-Requested-With': null,
      },
      // onChange: (info) => {
      //   const status = info.file.status;
      //   if (status === 'done') {
      //     message.success(`${info.file.name} 文件上传成功.`);
      //     this.setState({
      //       pic: 'http://image.seemore.club' + JSON.parse(event.currentTarget.response).url,
      //     });
      //   } else if (status === 'error') {
      //     message.error(`${info.file.name} 文件上传失败，请重新上传。`);
      //   }
      // },
    };

    const extraContent = (
      <div className={styles.extraContent}>
        <Button type="primary" onClick={this.handleGift}>
          查看礼物商品
        </Button>
        <Button
          onClick={this.handleGiftSale}
          style={{marginLeft: 8}}
        >
          查看礼品销售
        </Button>
      </div>
    );
    var gatherings = [];
    if (gatheringList) {
      const Option = Select.Option;
      for (let i = 0; i < gatheringList.length; i++) {
        gatherings.push(<Option key={gatheringList[i].id} value={gatheringList[i].id}>{gatheringList[i].name}</Option>);
      }
    }

    const {provinceList} = this.state;
    // console.log(provinceList);

    if (site) {
      var curCity = [];
      var index = 0;
      provinceList.map((p, p_index) => {
        p.children.map((c, c_index) => {
          if (c.value === site.cityId) {
            curCity.unshift(c.label)
            index = p_index
          }
        })
      });
      curCity.unshift(provinceList[index].label)
    }

    return (
      <PageHeaderLayout>
        <Card title='商户详情' loading={loading} extra={extraContent}>
          <Form onSubmit={this.handleSubmit}>
            <Row gutter={{md: 8, lg: 24, xl: 48}}>
              <Col md={12} offset={4} sm={24}>
                <FormItem
                  {...formItemLayout}
                  label="商户图片"
                >
                  {
                    site && site.pic ? <img style={{maxWidth: '100%'}} src={site && site.pic} alt="商户图片"/> : ''
                  }
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="修改商户图片"
                >
                  <Upload {...uploadProps} onChange={this.onPicChange.bind(this, 'pic')}>
                    <Button>
                      <Icon type="upload"/> upload
                    </Button>
                    &nbsp;&nbsp;&nbsp;&nbsp;尺寸要求500px*500px
                  </Upload>
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="商户logo"
                >
                  {
                    site && site.logo ? <img style={{maxWidth: '100%'}} src={site && site.logo} alt="商户logo"/> : ''
                  }
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="修改商户logo"
                >
                  <Upload {...uploadProps} onChange={this.onPicChange.bind(this, 'logo')}>
                    <Button>
                      <Icon type="upload"/> upload
                    </Button>
                    &nbsp;&nbsp;&nbsp;&nbsp;尺寸要求500px*500px
                  </Upload>
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="商户名称"
                >
                  {getFieldDecorator('name', {
                    initialValue: site && site.name,
                    rules: [{
                      required: true, message: '请输入商户名称',
                    }, {
                      max: 10, message: '最多输入10个字符',
                    },],
                  })(
                    <Input placeholder="请输入商户名称"/>
                  )}
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="商户介绍"
                >
                  {getFieldDecorator('introduce', {
                    initialValue: site && site.introduce,
                    rules: [{
                      required: true, message: '请输入商户介绍',
                    }, {
                      max: 40, message: '最多输入40个字符',
                    },],
                  })(
                    <TextArea placeholder="请输入商户介绍，最多40个字符" autosize={{minRows: 4}}/>
                  )}
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="商户公告"
                >
                  {getFieldDecorator('affiche', {
                    initialValue: site && site.affiche,
                    // rules: [{
                    //   required: true, message: '请输入商户公告',
                    // },
                    //   // {
                    //   //   max: 40, message: '最多输入40个字符',
                    //   // }
                    // ]
                  })(
                    <TextArea placeholder="请输入商户公告" autosize={{minRows: 4}}/>
                  )}
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="所属聚点"
                >
                  {getFieldDecorator('gatheringId', {
                    initialValue: site && site.gatheringId
                  })(
                    <Select onChange={this.handleGatheringChange}>
                      {gatherings}
                    </Select>
                  )}
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="所属省市"
                >
                  {getFieldDecorator('cityId', {
                    // initialValue: site && site.cityId,
                    initialValue: [24, 291],
                    rules: [{
                      required: true, message: '请选择商户所在省市',
                    }],
                  })(
                    <Cascader onChange={this.handleCityChange} options={getCity()} placeholder="请选择商户所在省市"
                              disabled={this.state.options.disabled}
                    />
                  )}
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="选择商户位置"
                >
                  <Address
                    btn={false}
                    key={Math.random()}
                    place={JSON.stringify(this.state.city) === '[]' ? curCity : this.state.city}
                    prevPointIn={this.state.pointIn ? this.state.pointIn : true}
                    prevPointOut={this.state.pointOut ? this.state.pointOut : true}
                    prevMarker={this.state.marker ? this.state.marker : marker}
                    handlePointIn={this.handlePointIn.bind(this)}
                    handlePointOut={this.handlePointOut.bind(this)}
                    handleMarker={this.handleMarker.bind(this)}
                  >
                  </Address>
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="商户管理员账号"
                >
                  {getFieldDecorator('userName', {
                    initialValue: site && site.userName,
                    // rules: [{
                    //   required: true, message: '请输入商户名称',
                    // },{
                    //   max: 10, message: '最多输入10个字符',
                    // },],
                  })(
                    <Input disabled={true} placeholder=""/>
                  )}
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="商户流水接收邮箱"
                >
                  {getFieldDecorator('email', {
                    initialValue: site && site.email
                    // rules: [{
                    //   required: true, message: '请输入商户流水接收邮箱',
                    // }],
                  })(
                    <Input placeholder="请输入商户流水接收邮箱"/>
                  )}
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="礼物领取方式"
                >
                  <CheckboxGroup
                    // value={site && this.state.checkMethod ? this.state.checkMethod : site ? this.formatMethod(site.method) : []}
                    // value={site && site.method ? this.formatMethod(site.method) : this.state.checkMethod}
                    value={this.state.checkMethod ? this.state.checkMethod : site && site.method ? this.formatMethod(site.method) : undefined}
                    options={this.state.options} onChange={this.onChange}/>
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="礼物兑换处说明"
                >
                  {getFieldDecorator('seemoreMsg', {
                    initialValue: site && site.seemoreMsg,
                    rules: [{
                      // required: true, message: '请输入商户介绍',
                    }, {
                      max: 40, message: '最多输入40个字符',
                    },],
                  })(
                    <TextArea placeholder="" autosize={{minRows: 4}}/>
                  )}
                </FormItem>
                <FormItem
                  wrapperCol={{
                    xs: {span: 24, offset: 0},
                    sm: {span: 16, offset: 8},
                  }}
                >
                  <Button loading={submitting} type="primary" htmlType="submit">确定修改</Button>
                  <Button style={{marginLeft: 8}} type="danger" onClick={this.handleLock} loading={locking}>
                    {site && site.status ? '关闭商户' : '恢复商户'}
                  </Button>
                </FormItem>
              </Col>
            </Row>
          </Form>
        </Card>
      </PageHeaderLayout>
    )
  }
}
