import React, {Component} from 'react';
import {connect} from 'dva';
import {Link} from 'dva/router';
import {parse} from 'qs';
import {
  Form,
  Input,
  Button,
  Row,
  Col,
  Checkbox,
  Card,
  Select,
  InputNumber,
  Upload,
  Icon,
  message,
} from 'antd';
import PageHeaderLayout from '../../layouts/PageHeaderLayout';
import {getSessionStorage, upYunAuthorization} from '../../utils/utils';

const FormItem = Form.Item;
const Option = Select.Option;
const CheckboxGroup = Checkbox.Group;
const {TextArea} = Input;
@connect(({loading, superLike}) => ({
  submitting: loading.effects['superLike/addSubmit'],
}))
@Form.create()
export default class SuperLikeAdd extends Component {
  state = {
    formValues: '',
    // pic: '',
    // options: JSON.parse(getSessionStorage('currentSiteMethods')),
    // checkMethod: undefined,
    isShow: false
  };

  componentDidMount() {
    // console.log(getSessionStorage('currentSiteMethods'))
  }

  handleChange = (checkedValues) => {
    // console.log('checked = ', checkedValues);
  };

  handleSubmit = (e) => {
    e.preventDefault();
    this.props.form.validateFields(['num', 'souvenirId', 'discount'], (err, values) => {
      if (!err) {
        this.props.dispatch({
          type: 'superLike/addSubmit',
          payload: {
            ...values
          }
        })
      }
    })
  };

  //商家礼物发送方式
  onChange = (e) => {
    // let opt = this.state.options
    // //电子券在选项中的下标
    // let codeIndex = -1
    // opt.map((item, index) => {
    //   console.log(item)
    //   if (item.value === 'ELECTRONIC_CODE') {
    //     console.log(index)
    //     codeIndex = index
    //     return
    //   }
    // })
    //
    // if (codeIndex !== -1) {
    //   //有电子券选项
    //   if (e.includes('ELECTRONIC_CODE')) {
    //     //选了电子券
    //     opt.map(item => {
    //       item.disabled = true
    //     })
    //     opt[codeIndex].disabled = false
    //     this.setState({
    //       isShow:true
    //     })
    //   } else if (e.includes('TAKE') || e.includes('SEND') || e.includes('EXPRESS')) {
    //     //没选电子券
    //     opt.map(item => {
    //       item.disabled = false
    //     })
    //     opt[codeIndex].disabled = true
    //     this.setState({
    //       isShow:false
    //     })
    //   } else {
    //     //什么都没选
    //     opt.map(item => {
    //       item.disabled = false
    //     })
    //     this.setState({
    //       isShow:false
    //     })
    //   }
    //   this.setState({
    //     options: [...opt]
    //   })
    // }
    // this.setState({
    //   checkMethod: e
    // })
    this.setState({
      checkMethod: e
    })
  };

  closeCodeCheckBox(index) {
    let opt = this.state.options
    opt.map(item => {
      item.disabled = false
    })
    opt[index].disabled = true
    this.setState({
      options: [...opt]
    })
  }

  acTiveArrStringFun(obj) {
    var arr = [];
    if (obj != null && obj.length != 0) {
      for (var i = 0; i < obj.length; i++) {
        arr.push(obj[i]);
      }
    }
    return arr.toString();
  }

  render() {
    const {submitting, loading} = this.props;
    const {getFieldDecorator} = this.props.form;
    const formItemLayout = {
      labelCol: {
        xs: {span: 24},
        sm: {span: 8},
      },
      wrapperCol: {
        xs: {span: 24},
        sm: {span: 16},
      },
    };
    const date = Date.parse(new Date());
    const uploadProps = {
      action: 'http://v0.api.upyun.com/image-seemore',
      listType: 'picture',
      data: {
        'authorization': upYunAuthorization("gift", date).authorization,
        'policy': upYunAuthorization("gift", date).policy,
      },
      name: 'file',
      headers: {
        'X-Requested-With': null,
      },
      onChange: (info) => {
        const status = info.file.status;
        if (status === 'done') {
          message.success(`${info.file.name} 文件上传成功.`);
          this.setState({
            pic: 'http://image.seemore.club' + JSON.parse(event.currentTarget.response).url,
          });
        } else if (status === 'error') {
          message.error(`${info.file.name} 文件上传失败，请重新上传。`);
        }
      },
    };
    //1
    return (
      <PageHeaderLayout>
        <Card title='新建礼物' loading={loading}>
          <Form onSubmit={this.handleSubmit}>
            <Row gutter={{md: 8, lg: 24, xl: 48}}>
              <Col md={12} offset={4} sm={24}>
                <FormItem
                  {...formItemLayout}
                  label="礼物id"
                >
                  {getFieldDecorator('souvenirId', {
                    // rules: [{
                    //   required: true, message: '礼物名称不能为空',
                    // }, {
                    //   max: 40, message: '最多输入40个字符'
                    // }],
                  })(
                    <Input placeholder="请输入礼物id"/>
                  )}
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="VIP折扣"
                >
                  {getFieldDecorator('discount', {
                    // rules: [{
                    //   required: true, message: '礼物名称不能为空',
                    // }, {
                    //   max: 40, message: '最多输入40个字符'
                    // }],
                  })(
                    <Input placeholder="请输入VIP折扣"/>
                  )}
                </FormItem>
                <FormItem
                  {...formItemLayout}
                  label="礼物序号"
                >
                  {getFieldDecorator('num', {
                    // rules: [{
                    //   required: true, message: '礼物名称不能为空',
                    // }, {
                    //   max: 40, message: '最多输入40个字符'
                    // }],
                  })(
                    <Input placeholder="请输入序号"/>
                  )}
                </FormItem>
                <FormItem
                  wrapperCol={{
                    xs: {span: 24, offset: 0},
                    sm: {span: 16, offset: 8},
                  }}
                >
                  <Button loading={submitting} type="primary" htmlType="submit">提交</Button>
                </FormItem>
              </Col>
            </Row>
          </Form>
        </Card>
      </PageHeaderLayout>
    )
  }
}
