import React, { Component } from 'react';
import { connect } from 'dva';
import { parse } from 'qs';
import { Form,
  Input,
  Button,
  Row,
  Col,
  Checkbox,
  Card,
  Select,
  Upload,
  Icon,
  message,
  Table
} from 'antd';
import PageHeaderLayout from '../../layouts/PageHeaderLayout';
import styles from '../List/BasicList.less';
import {getSessionStorage, upYunAuthorization} from '../../utils/utils';
const FormItem = Form.Item;
const Option = Select.Option;
const CheckboxGroup = Checkbox.Group;
const { TextArea } = Input;
@connect(({ loading, vip }) => ({
  // submitting: loading.effects['site/editSubmit'],
  // loading: loading.effects['site/fetchProfile'],
  // locking: loading.effects['site/lock'],
  // site: site.site,
}))
@Form.create()
export default class Site extends Component {
  state = {
    formValues: '',
    pic: '',
  };

  componentDidMount() {
    const { dispatch } = this.props;
    dispatch({
      type: 'site/fetchDetail',
      payload: {
        id: parse(this.props.location.search.substr(1)).id,
      },
    });
  }

  handleChange = (checkedValues) => {
    console.log('checked = ', checkedValues);
  }

  handleSubmit = (e) => {
    e.preventDefault();
    this.props.form.validateFields(['name', 'introduce','seemoreMsg'], (err, values) => {
      if (!err) {
        this.props.dispatch({
          type: 'site/editSubmit',
          payload: {
            ...values,
            gatheringId: this.props.site.gatheringId,
            id: parse(this.props.location.search.substr(1)).id,
            pic: this.state.pic ? this.state.pic : this.props.site && this.props.site.pic
          },
        });
      }
    });
  };

  handleLock = () => {
    this.props.dispatch({
      type: 'site/lock',
      payload: {
        id: parse(this.props.location.search.substr(1)).id,
      },
    });
  };

  handleGift = () => {
    window.open(window.location.origin+'#/accumulation/site/gift/list?id='+parse(this.props.location.search.substr(1)).id);
  };

  handleGiftSale = () => {
    this.props.dispatch({
      type: 'site/redirectGiftSale',
      payload: {
        id: parse(this.props.location.search.substr(1)).id,
      },
    });
  };

  render() {
    const {
      loading,
      submitting,
      list,
      total,
      pageSize,
      page,
    } = this.props;
    console.log({list});
    const {addModal, editModal} = this.state;
    const pagination = {
      pageSize: getSessionStorage("labelListPageSize") * 1 || pageSize,
      current: getSessionStorage("labelListCurrent") * 1 || page,
      total: total,
      showSizeChanger: true,
      onShowSizeChange: this.handleSizeChange,
    };

    const columns = [
      {
        title: '序号',
        dataIndex: 'id',
        render: (text, record, index) => (
          index + 1 + (page - 1) * pageSize
        ),
      },
      {
        title: 'VIP时长名称',
        dataIndex: 'name',
        // key: 'name',
      },
      {
        title: '时长（天）',
        dataIndex: 'num',
        // key: 'num',
      },
      {
        title: '价格',
        dataIndex: 'money',
        // key: 'integral',
      },
      {
        title: '日均价',
        dataIndex: 'price',
        // key: 'code',
      },
      {
        title: '平台',
        dataIndex: 'channel1',
        key: 'channel1'
      },
      {
        title: '购买次数',
        dataIndex: 'channel2',
        key: 'channel2'
      },
      {
        title: '苹果内购项目ID',
        dataIndex: 'appleBuyId',
        key: 'appleBuyId'
      },
      // {
      //   title: '添加时间',
      //   dataIndex: 'channel3',
      //   key: 'channel3'
      // },
      {
        title: '操作',
        key: 'action',
        render: (text, record) => (
          <span>
            <a onClick={this.redirectProfile.bind(null, record)}>明细</a>
            <Divider type="vertical"/>
            <a onClick={this.handleStatus.bind(null, record)}>{record.status?'禁用':'启用'}</a>
            {/*<Divider type="vertical"/>*/}
            {/*{record.discard ? this.renderRecovery(record) : this.renderDelete(record)}*/}
          </span>
        ),
      },
    ];

    return (
      <PageHeaderLayout>
        <Card title='VIP时长明细' loading={loading}>
          <Table
            bordered
            loading={loading}
            rowKey='id'
            columns={columns}
            dataSource={list}
            pagination={pagination}
            // onChange={this.handleTableChange}
          />
        </Card>
      </PageHeaderLayout>
    );
  }
}
