import {stringify} from 'qs';
import request from '../utils/request';
const protocol = 'http://admin.lite.seemore.club/api';//正式
// const protocol = 'http://47.108.210.253:8848';//测试
// const protocol = 'http://192.168.168.209:8082';//tq
// const protocol = 'http://192.168.168.244:8082';//tq
/*资源管理START*/
export async function queryPermissionAll(params) {
  return request(`${protocol}/permission/all?${stringify(params)}`);
}

export async function queryPermissionList(params) {
  return request(`${protocol}/permission/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryPermissionPageSubmit(params) {
  return request(`${protocol}/permission/infoPage`, {
    method: 'POST',
    body: params,
  });
}

export async function queryPermissionFuncSubmit(params) {
  return request(`${protocol}/permission/infoMethod`, {
    method: 'POST',
    body: params,
  });
}

export async function queryPermission(params) {
  return request(`${protocol}/permission/info?${stringify(params)}`);
}

export async function deletePermission(params) {
  return request(`${protocol}/permission/info`, {
    method: 'DELETE',
    body: params,
  });
}

/*资源管理END*/

/*权限管理START*/
export async function queryAuthorityAll(params) {
  return request(`${protocol}/v1/sysAuthority/all?${stringify(params)}`);
}

export async function queryAuthorityList(params) {
  return request(`${protocol}/v1/sysAuthority/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryAuthoritySubmit(params) {
  return request(`${protocol}/v1/sysAuthority/info`, {
    method: 'POST',
    body: params,
  });
}

export async function queryAuthority(params) {
  return request(`${protocol}/v1/sysAuthority/info?${stringify(params)}`);
}

export async function deleteAuthority(params) {
  return request(`${protocol}/v1/sysAuthority/info`, {
    method: 'DELETE',
    body: params,
  });
}

/*权限管理END*/

/*角色管理START*/
export async function queryRoleAll(params) {
  return request(`${protocol}/v1/role/all?${stringify(params)}`);
}

export async function queryRoleList(params) {
  return request(`${protocol}/v1/role/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryRoleSubmit(params) {
  return request(`${protocol}/v1/role/info`, {
    method: 'POST',
    body: params,
  });
}

export async function queryRole(params) {
  return request(`${protocol}/v1/role/info?${stringify(params)}`);
}

export async function deleteRole(params) {
  return request(`${protocol}/v1/role/info`, {
    method: 'DELETE',
    body: params,
  });
}

/*角色管理END*/

/*标签管理START*/
export async function queryLabelList(params) {
  return request(`${protocol}/v1/sysTag/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryLabelSubmit(params) {
  return request(`${protocol}/v1/sysTag/sysTag`, {
    method: 'POST',
    body: params,
  });
}

export async function queryLabel(params) {
  return request(`${protocol}/v1/sysTag/sysTag?${stringify(params)}`);
}

export async function queryDeleteLabel(params) {
  return request(`${protocol}/v1/sysTag/discard`, {
    method: 'PUT',
    body: params,
  });
}

export async function queryRecoveryLabel(params) {
  return request(`${protocol}/v1/sysTag/discard`, {
    method: 'PUT',
    body: params,
  });
}

/*标签管理END*/

export async function fakeChartData() {
  return request(`${protocol}/fake_chart_data`, {
    method: 'GET',
  });
}

export async function queryUser(params) {
  return request(`${protocol}/v1/consumer/get?${stringify(params)}`);
}

export async function queryPhotoList(params) {
  return request(`${protocol}/album/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryPhotoRefuse(params) {
  return request(`${protocol}/album/refuse`, {
    method: 'PUT',
    body: params,
  });
}

export async function queryUserRefuse(params) {
  return request(`${protocol}/v1/audit/refuse`, {
    method: 'PUT',
    body: params,
  });
}

export async function queryUserPass(params) {
  return request(`${protocol}/v1/audit/pass`, {
    method: 'PUT',
    body: params,
  });
}

export async function passPhotoList(params) {
  return request(`${protocol}/album/list`, {
    method: 'POST',
    body: params,
  });
}

export async function deletePhoto(params) {
  return request(`${protocol}/delete_photo?${stringify(params)}`);
}

export async function fakeAccountLogin(params) {
  return request(`${protocol}/auth/login`, {
    method: 'POST',
    body: params,
  });
}

export async function passUser(params) {
  return request(`${protocol}/pass_user?${stringify(params)}`);
}


/*聚点START*/
export async function queryAccumulationList(params) {
  return request(`${protocol}/v1/gathering/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryAccumulation(params) {
  return request(`${protocol}/v1/gathering/gathering?${stringify(params)}`);
}

export async function deleteAccumulation(params) {
  return request(`${protocol}/v1/gathering/gathering?${stringify(params)}`, {
    method: 'DELETE',
  });
}

export async function lockAccumulation(params) {
  return request(`${protocol}/v1/gathering/status`, {
    method: 'DELETE',
    body: params,
  });
}

export async function queryAccumulationEdit(params) {
  return request(`${protocol}/v1/gathering/gathering`, {
    method: 'POST',
    body: params,
  });
}

export async function queryAccumulationSite(params) {
  return request(`${protocol}/v1/site/list`, {
    method: 'POST',
    body: params,
  });
}

/*聚点END*/

/*场所START*/
export async function querySiteList(params) {
  return request(`${protocol}/v1/site/list`, {
    method: 'POST',
    body: params,
  });
}

export async function querySite(params) {
  return request(`${protocol}/v1/site/site?${stringify(params)}`);
}

export async function deleteSite(params) {
  return request(`${protocol}/v1/site/status`, {
    method: 'DELETE',
    body: params,
  });
}

export async function lockSite(params) {
  return request(`${protocol}/v1/site/status`, {
    method: 'PUT',
    body: params,
  });
}

export async function querySiteAdd(params) {
  return request(`${protocol}/v1/site/site`, {
    method: 'POST',
    body: params,
  });
}

export async function querySiteSubmit(params) {
  return request(`${protocol}/v1/site/site`, {
    method: 'PUT',
    body: params,
  });
}

/**
 * 重置商户管理员密码
 * @param params
 * @returns {Promise<Object>}
 */
export async function resetSitePassword(params) {
  return request(`${protocol}/v1/site/resetPasssword`, {
    method: 'PUT',
    body: params,
  });
}

/*场所END*/

/*礼品START*/
export async function queryGiftList(params) {
  return request(`${protocol}/v1/souvenir/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryGift(params) {
  return request(`${protocol}/v1/souvenir/souvenir?${stringify(params)}`);
}

export async function deleteGift(params) {
  return request(`${protocol}/v1/souvenir/souvenir`, {
    method: 'DELETE',
    body: params,
  });
}

export async function queryGiftEdit(params) {
  return request(`${protocol}/v1/souvenir/souvenir`, {
    method: 'POST',
    body: params,
  });
}

export async function queryGiftAdd(params) {
  return request(`${protocol}/v1/souvenir/souvenir`, {
    method: 'POST',
    body: params,
  });
}

//礼物销售列表 POST /{version}/souvenirPlan/list
export async function queryGiftSale(params) {
  return request(`${protocol}/v1/souvenirPlan/list`, {
    method: 'POST',
    body: params,
  });
}

/*礼品END*/

export async function querySuspend(params) {
  return request(`${protocol}/v1/consumer/consumerLock`, {
    method: 'PUT',
    body: params,
  });
}

//用户流水列表
export async function queryPayList(params) {
  return request(`${protocol}/v1/consumptionRecord/list`, {
    method: 'POST',
    body: params,
  });
}

//平台流水列表 POST /{version}/orderRecord/list
export async function queryOrderRecord(params) {
  return request(`${protocol}/v1/orderRecord/list`, {
    method: 'POST',
    body: params,
  });
}

export async function fakePersonalSubmit(params) {
  return request(`${protocol}/v1/manager/info`, {
    method: 'PUT',
    body: params,
  });
}

export async function querySystemList(params) {
  return request(`${protocol}/v1/log/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryUserPhotoList(params) {
  return request(`${protocol}/v1/consumer/album?${stringify(params)}`);
}

export async function queryComsumerList(params) {
  return request(`${protocol}/v1/consumer/list`, {
    method: 'POST',
    body: params,
  });
}

export async function fakeComsumerSubmit(params) {
  return request(`${protocol}/v1/consumer/info/detail`, {
    method: 'PUT',
    body: params,
  });
}

export async function queryAccumulationAdd(params) {
  return request(`${protocol}/v1/gathering/gathering`, {
    method: 'POST',
    body: params,
  });
}

/*vip START*/
export async function queryVipCodeList(params) {
  return request(`${protocol}/vipCard/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryVip(params) {
  return request(`${protocol}/vipCard/info`, {
    method: 'POST',
    body: params,
  });
}

export async function vipCreateList(params) {
  return request(`${protocol}/vipCard/add`, {
    method: 'POST',
    body: params,
  });
}

export async function vipCreateCard(params) {
  return request(`${protocol}/vipCard/info`, {
    method: 'PUT',
    body: params,
  });
}

export async function vipActivate(params) {
  return request(`${protocol}/vipCard/activation`, {
    method: 'PUT',
    body: params,
  });
}

export async function deleteVipCode(params) {
  return request(`${protocol}/vipCard/cancellation`, {
    method: 'PUT',
    body: params,
  });
}

export async function vipRemark(params) {
  return request(`${protocol}/vipCard/remark`, {
    method: 'PUT',
    body: params,
  });
}

/*vip END*/

/*钻石START*/

export async function queryDiamondCodeList(params) {
  return request(`${protocol}/svipCard/list`, {
    method: 'POST',
    body: params,
  });
}

export async function addDiamondCode(params) {
  return request(`${protocol}/svipCard/add`, {
    method: 'POST',
    body: params,
  });
}

export async function deleteDiamondCode(params) {
  return request(`${protocol}/svipCard/cancellation`, {
    method: 'PUT',
    body: params,
  });
}

export async function diamondRemark(params) {
  return request(`${protocol}/svipCard/remark`, {
    method: 'PUT',
    body: params,
  });
}

export async function addChannel(params) {
  return request(`${protocol}/svipCard/activation`, {
    method: 'PUT',
    body: params,
  });
}

/*钻石END*/

export async function queryCity(params) {
  return request(`${protocol}/v1/code/city`, {
    method: 'POST',
    body: params,
  });
}

export async function querySysVocationIdList(params) {
  return request(`${protocol}/v1/code/vocations`, {
    method: 'POST',
    body: params,
  });
}

export async function queryTagsList(params) {
  return request(`${protocol}/v1/code/tags`, {
    method: 'POST',
    body: params,
  });
}

/*用户审核START*/

export async function queryNickList(params) {
  return request(`${protocol}/v1/audit/list`, {
    method: 'POST',
    body: params,
  });
}


export async function queryImportQuestion(params) {
  return request(`${protocol}/question/excel/import`, {
    method: 'POST',
    body: params,
  });
}

/*版本管理START*/
export async function queryVersionList(params) {
  return request(`${protocol}/v1/versions/list`, {
    method: 'POST',
    body: params,
  });
}

export async function queryVersionSubmit(params) {
  return request(`${protocol}/v1/versions/versions`, {
    method: 'POST',
    body: params,
  });
}

export async function queryVersion(params) {
  return request(`${protocol}/v1/versions/versions?${stringify(params)}`);
}

/*版本管理END*/

/*举报管理START*/
export async function queryReportList(params) {
  return request(`${protocol}/v1/report/list`, {
    method: 'POST',
    body: params,
  });
}

/*举报管理END*/

/*钻石伙伴管理会员列表START*/
export async function querySvipList(params) {
  return request(`${protocol}/v1/svip/list`, {
    method: 'POST',
    body: params,
  });
}

/*钻石伙伴管理会员列表END*/

// POST /{version}/svipIntegral/list
export async function querySvipIntegral(params) {
  // console.log('api');
  return request(`${protocol}/v1/svipIntegral/list`, {
    method: 'POST',
    body: params,
  });
}

//POST /{version}/svipIntegral/add
export async function addSvipIntegral(params) {
  // console.log('api');
  return request(`${protocol}/v1/svipIntegral/add`, {
    method: 'POST',
    body: params,
  });
}

//POST /{version}/svipIntegral/cancel
export async function cancelSvip(params) {
  // console.log('api');
  return request(`${protocol}/v1/svipIntegral/cancel`, {
    method: 'POST',
    body: params,
  });
}

// /album/pass
export async function queryAlbumPass(params) {
  // console.log('api');
  return request(`${protocol}/album/pass`, {
    method: 'PUT',
    body: params,
  });
}

//修改后待审核用户列表 POST /{version}/audit/waitList
export async function queryWaitList(params) {
  // console.log('api');
  return request(`${protocol}/v1/audit/waitList`, {
    method: 'POST',
    body: params,
  });
}

//请求用户统计信息
// GET /{version}/consumer/data
export async function queryConsumerData(params) {
  return request(`${protocol}/v1/consumer/data?${stringify(params)}`);
}

/*钻石伙伴管理会员列表END*/

// POST /{version}/sysUserRecharge/list
export async function queryRechargeList(params) {
  // console.log('api');
  return request(`${protocol}/v1/sysUserRecharge/list`, {
    method: 'POST',
    body: params,
  });
}

//VIP时长管理禁用/启用
// DELETE /{version}/sysUserRecharge/status
export async function vipRechargeStatus(params) {
  return request(`${protocol}/v1/sysUserRecharge/status`, {
    method: 'DELETE',
    body: params,
  });
}

//VIP时长管理详情查询
//GET /{version}/sysUserRecharge/sysUserRecharge
export async function vipRechargeDetail(params) {
  return request(`${protocol}/v1/sysUserRecharge/sysUserRecharge?${stringify(params)}`);
}

//VIP时长新增/更新
//POST /{version}/sysUserRecharge/gathering
export async function vipRechargeGathering(params) {
  return request(`${protocol}/v1/sysUserRecharge/gathering`, {
    method: 'POST',
    body: params,
  });
}

//联系我们 信息留存
export async function queryContactList(params) {
  return request(`${protocol}/v1/contact/list`, {
    method: 'POST',
    body: params,
  });
}

//聚点列表-私语次数限制开关
export async function queryWhisperSwitch(params) {
  return request(`${protocol}/v1/gathering/whisperSwitch`, {
    method: 'PUT',
    body: params,
  });
}

//聚点列表-喜欢次数限制开关
export async function queryAdoreSwitch(params) {
  return request(`${protocol}/v1/gathering/adoreSwitch`, {
    method: 'PUT',
    body: params,
  });
}

//钻石伙伴-积分兑现列表
export async function queryIntegralApply(params) {
  return request(`${protocol}/v1/integralApply/list`, {
    method: 'POST',
    body: params,
  });
}

//v1/integralApply/status
//钻石伙伴-积分兑现确认打款
export async function queryIntegralApplyStatus(params) {
  return request(`${protocol}/v1/integralApply/status`, {
    method: 'PUT',
    body: params,
  });
}

//全局配置列表查询
export async function queryGlobalList(params) {
  return request(`${protocol}/v1/sysGlobal/list`, {
    method: 'POST',
    body: params,
  });
}

//全局配置明细查询
export async function queryGlobalInfo(params) {
  return request(`${protocol}/v1/sysGlobal/info?${stringify(params)}`, {
    method: 'GET',
    // body: params,
  });
}

//全局配置更新
export async function updateGlobal(params) {
  return request(`${protocol}/v1/sysGlobal/update`, {
    method: 'POST',
    body: params,
  });
}

//v1.2
//超级喜欢礼品列表
export async function querySuperSouvenirList(params) {
  return request(`${protocol}/v1/superSouvenir/list`, {
    method: 'POST',
    body: params
  });
}

//超级喜欢礼品新增
export async function addSuperSouvenir(params) {
  return request(`${protocol}/v1/superSouvenir/superSouvenir`, {
    method: 'POST',
    body: params
  });
}

//超级喜欢礼品详情
export async function querySuperSouvenir(params) {
  return request(`${protocol}/v1/superSouvenir/superSouvenir?${stringify(params)}`);
}

//超级喜欢礼品修改
export async function updateSuperSouvenir(params) {
  return request(`${protocol}/v1/superSouvenir/superSouvenir`, {
    method: 'POST',
    body: params
  });
}
//超级喜欢礼品删除
export async function deleteSuperSouvenir(params) {
  return request(`${protocol}/v1/superSouvenir/superSouvenir`, {
    method: 'DELETE',
    body: params
  });
}
//获取所有聚点list GET /{version}/gathering/findAll
export async function queryAllGatheringList (params) {
  return request(`${protocol}/v1/gathering/findAll`);
}
//获取所有商户list GET /{version}/gathering/findAll.
export async function queryAllSiteList (params) {
  return request(`${protocol}/v1/site/findAll`);
}
//礼品上下架
export async function updateGiftStatus (params) {
  return request(`${protocol}/v1/souvenir/status`,{
    method: 'PUT',
    body: params
  });
}
//导入预置短语
// POST /presetPhraese/excel/import
export async function importPresetPhraese (params) {
  return request(`${protocol}/v1/presetPhraese/excel/import`,{
    method: 'POST',
    body: params
  });
}
// POST /{version}/export/souvenir
//礼物导出
export async function exportSouvenir (params) {
  return request(`${protocol}/v1/export/souvenir`,{
    method: 'POST',
    body: params
  });
}

/**
 * 真人认证
 * @param {*} params 
 * @returns 
 */
export async function uploadExcel (params) {
  return request(`${protocol}/v1/consumer/excel/import`,{
    method: 'POST',
    body: params
  });
}
